# ColorRampElement(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ColorRampElement`(bpy_struct)

  Element defining a color at a position in the color ramp

  `alpha`

    Set alpha of selected color stop

    Type: | float in [0, inf], default 0.0

  `color`

    Set color of selected color stop

    Type: | float array of 4 items in [0, inf], default (0.0, 0.0, 0.0, 0.0)

  `position`

    Set position of selected color stop

    Type: | float in [0, 1], default 0.0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ColorRamp.elements` `ColorRampElements.new` | `ColorRampElements.remove`